using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("签名附件表")]
    public class T_HM_OPERATION_TASK_DISTINGUISH_ANALYZE_FILE : MesEntityBase
    {
        /// <summary>
        /// 作业任务识别分析表
        /// </summary>
        [Description("作业任务识别分析表")]
        [DataFieldForeignKey("Nav_DistinguishAnalyze", "Nav_AnalyzeFiles")]
        public Guid OPERATION_TASK_DISTINGUISH_ANALYZE_ID { get; set; }
        /// <summary>
        /// 导航：作业任务识别表
        /// </summary>
        [Description("导航：作业任务分析表")]
        public virtual T_HM_OPERATION_TASK_DISTINGUISH_ANALYZE Nav_DistinguishAnalyze { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
